Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PofUpdater Class Reference

`#include <coherence/util/extractor/PofUpdater.hpp>`

Inherits Object, ValueUpdater, and PortableObject.

List of all members.

## Detailed Description

POF-based ValueUpdater implementation.

Author:
  as/gm 2009.04.02

Since:
  Coherence 3.5

## Public Types
typedef spec::Handle | Handle
| PofUpdater Handle definition.
typedef spec::View | View
| PofUpdater View definition.
typedef spec::Holder | Holder
| PofUpdater Holder definition.
## Public Member Functions
virtual void | update (Object::Handle hTarget, Object::Holder ohValue) const
| Update the passed target object using the specified value.
virtual void | readExternal (PofReader::Handle hIn)
virtual void | writeExternal (PofWriter::Handle hOut) const
virtual bool | equals (Object::View v) const
| Compare the PofUpdater with another object to determine equality.
virtual size32_t | hashCode () const
| Determine a hash value for the PofUpdater object according to the general Object#hashCode() contract.
virtual void | toStream (std::ostream &out) const
| Return a human-readable description for this PofUpdater.
## Protected Member Functions
| PofUpdater ()
| Default constructor (for backward compatibility).
| PofUpdater (int32_t iProp)
| Constructs a PofUpdater based on a property index.
| PofUpdater (PofNavigator::View vNavigator)
| Constructs a PofUpdater based on a property path.

## Constructor & Destructor Documentation

PofUpdater | ( | int32_t | iProp | ) | `[protected]`

Constructs a PofUpdater based on a property index.

This constructor is equivalent to:

       PofUpdater::View vUpdater =
           PofUpdater::create(SimplePofPath::create(iProp));

Parameters:

  | iProp | property index

PofUpdater | ( | PofNavigator::View | vNavigator | ) | `[protected]`

Constructs a PofUpdater based on a property path.

Parameters:

  | vNavigator | POF navigator

## Member Function Documentation

virtual void update | ( | Object::Handle | hTarget,
|  | Object::Holder | ohValue |
| ) |  |  | const `[virtual]`

Update the passed target object using the specified value.

It is expected that this updater will only be used against POF-encoded entries implementing BinaryEntry interface.

Parameters:

  | hTarget | the Object to update
  | ohValue | the new value to update the target's property with

Exceptions:

  | UnsupportedOperationException | if the specified target object is not a POF-encoded BinaryEntry or the serializer is not a PofContext
  | NullPointerException | if the property cannot be resolved

Implements ValueUpdater.

virtual bool equals | ( | Object::View | v | ) | const `[virtual]`

Compare the PofUpdater with another object to determine equality.

Returns:
  true iff this PofUpdater and the passed object are equivalent PofUpdaters

virtual size32_t hashCode | ( |  | ) | const `[virtual]`

Determine a hash value for the PofUpdater object according to the general Object#hashCode() contract.

Returns:
  an integer hash value for this PofUpdater object

Reimplemented from Object.

virtual void toStream | ( | std::ostream & | out | ) | const `[virtual]`

Return a human-readable description for this PofUpdater.

Returns:
  a String description of the PofUpdater

Reimplemented from Object.

The documentation for this class was generated from the following file:

- coherence/util/extractor/PofUpdater.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.